## gwyddion

gwyddion — Base functions, library initialization

## Synopsis

    #include <libgwyddion/gwyddion.h>

    void                gwy_type_init                       (void);

## Description

Gwyddion classes has to be initialized before they can be safely deserialized. The function `gwy_type_init()` performs this initialization.

## Details

### gwy_type_init ()

    void                gwy_type_init                       (void);

Makes libgwyddion types safe for deserialization and performs other initialization. You have to call this function before using objects from libgwyddion.

Calls `g_type_init()` first to make sure GLib object system is initialized.

It is safe to call this function more than once, subsequent calls are no-op.

## See Also

GwySerializable